Download it now!
Bug 45964 - wrong behaviour of List "collected words" in Tools > Autocorrect > Word completion
Summary: wrong behaviour of List "collected words" in Tools > Autocorrect > Word compl...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other Linux (All)
: medium minor
Assignee: Christopher Copits
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-12 13:25 UTC by Cor Nouws
Modified: 2013-01-09 21:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2012-02-12 13:25:08 UTC
- Open writer document with text and scroll a bit
  (this should fill the word completion list)
- Tools > Autocorrect > Word completion
- Try to put focus on the list 'collected words' with the key board
 > does not work
- click with mouse on an item in the list
- click on another item in the list
 > Click with mouse behaves as ctrl-Click :-)
- use arrow up/down key
 > making / changing selections by key board not possible

(has been broken as long as I remember. Maybe easy hack?)
Comment 1 Cor Nouws 2012-07-07 08:32:23 UTC
I guess this could be an easy hack?
Comment 2 Christopher Copits 2013-01-03 23:36:00 UTC
I will look into fixing this.
Comment 3 Cor Nouws 2013-01-04 08:53:18 UTC
(In reply to comment #2)
> I will look into fixing this.

Thanks Christopher. Pls look at how it works in the 4.0 / master code line.
I did not check it in details, but while using it once, I go the impression at least part of the weird behaviour is solved.
Comment 4 Christopher Copits 2013-01-08 01:24:37 UTC
To Reproduce:

1. Load a sample document into Writer.
2. Go to Tools > AutoCorrect Options.
3. Navigate to the Word Completion tab.
4. Observe that the word list cannot be selected by tabbing through controls.
4. Observe that left mouse clicks on the word list select multiple items.
5. Observe that the up/down cursor keys don't traverse through the word list.

To test:

1. Load a sample document into Writer.
2. Go to Tools > AutoCorrect Options.
3. Navigate to the Word Completion tab.
4. Observe that the word list can be selected by tabbing through controls.
4. Observe that left mouse clicks on the word list don't select multiple items.
5. Observe that the up/down cursor keys will traverse through the word list.
6. Observe that holding down control / shift and left clicking will select multiple values.

What I did: The MultiListBox was not initialized with the SimpleMode attribute set to True. Therefore, I added it.
Comment 5 Not Assigned 2013-01-09 10:05:25 UTC
Christopher Copits committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f900c56a32c1b29ea6330a85dcfa38bb7fbe6ae3

fdo#45964 - Wrong behavior of words list in AutoCorrect > Word Completion



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.